char c1 = Char.Parse(Console.ReadLine());
char c2 = Char.Parse(Console.ReadLine());
int a1 = Int32.Parse(Console.ReadLine());
int a2 = Int32.Parse(Console.ReadLine());  
 
if ((a1 == a2) || ((Math.Abs(a1 - a2)) == 1))
{
    string c1a1 = new string(c1, a1);
    string c2a2 = new string(c2, a2);
    string c3 = c1a1 + c2a2;
    Console.WriteLine(c3);
}
else 
{
    Console.WriteLine("nemoguce");
}